Update Offer Template
curl --request PUT \
--url https://api.lendflow.com/api/offer_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"is_enabled": false,
"is_default": false,
"product": "arloc",
"funder_id": "architecto",
"description": "Et animi quos velit et fugiat.",
"content": null
}
'import requests
url = "https://api.lendflow.com/api/offer_templates/{id}"
payload = {
"name": "b",
"is_enabled": False,
"is_default": False,
"product": "arloc",
"funder_id": "architecto",
"description": "Et animi quos velit et fugiat.",
"content": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'b',
is_enabled: false,
is_default: false,
product: 'arloc',
funder_id: 'architecto',
description: 'Et animi quos velit et fugiat.',
content: null
})
};
fetch('https://api.lendflow.com/api/offer_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"name": "Ramiro Okuneva",
"description": "Et fugiat sunt nihil accusantium.",
"product": "equipment_financing",
"is_enabled": true,
"is_default": false,
"is_fallback": false,
"funder_id": "9ffe7260-c65c-4c3c-bb6c-8e89fce70950",
"client_id": null,
"created_at": null,
"updated_at": null
}
}Offer Templates
Update Offer Template
Updates an offer template’s details and field definitions. The response includes the template’s full content.
PUT
/
api
/
offer_templates
/
{id}
Update Offer Template
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the offer template.
Body
application/json
Must not be greater than 255 characters.
Example:
"b"
Example:
false
Example:
false
Available options:
arloc, line_of_credit, receivables_purchase, term_loan, equipment_financing, erc, sba Example:
"arloc"
Must match an existing stored value.
Example:
"architecto"
Must not be greater than 1000 characters.
Example:
"Et animi quos velit et fugiat."
Example:
null
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?